--[[----------------------------------------------------------------------------

BabluImsInfoImp.lua


--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2011 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

@author arahn 2012-05-21

@reviewed

------------------------------------------------------------------------------]]

local KSPromises = require "KSPromises"

--==============================================================================

local BabluImsInfoImp = {}

--------------------------------------------------------------------------------

local sResultP, sResolver

--------------------------------------------------------------------------------

function BabluImsInfoImp.setImsClientIdAndSecret( args )
	
	if sResolver then
		sResolver( 'data', args.clientId, args.clientSecret )
		sResolver = nil
	else
		sResultP = KSPromises.resolvedPromiseP( 'data', args.clientId, args.clientSecret )
	end
	return KSPromises.resolvedPromiseP( 'data', true )
	
end

--------------------------------------------------------------------------------

function BabluImsInfoImp.getImsClientIdAndSecretP( )

	if not sResultP then
		sResultP, sResolver = KSPromises.promiseP()
	end
	return sResultP
	
end

--==============================================================================

return BabluImsInfoImp
