--[[----------------------------------------------------------------------------

OzEpoch.lua

@author arahn 2012-08-30

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2012 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

	-- wichitafoundation.oz_client.catalog.rendition_server
local WFOzRenditionServerUtils = require 'WFOzRenditionServerUtils'


--============================================================================--

local function cacheEpochB( self )

	-- Watch the cache index to know where items should be placed.

	-- DEPRECATED: Eventually all of the cache code should move into
	-- WFRenditionServer. We'll use this while in transition.

	-- Lazy instantiate cacheEpochB. It's expensive to compute. Be nice to skip
	-- it for any thread that doesn't need it.

	local cacheEpochB = self._cacheEpochB
	if cacheEpochB then
		return cacheEpochB
	end

	self._cacheEpochB = WFOzRenditionServerUtils.cacheEpochB( self._docStore,
															  self._indexStore )

	return self._cacheEpochB

end

--------------------------------------------------------------------------------

return {
	cacheEpochB = cacheEpochB,
}
