--[[----------------------------------------------------------------------------

KSReactiveTestCase.lua


--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2011 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

KSReactiveTestCase is deprecated. Please use WFAsyncTestCase instead.

Leaving this file here until Tornado and DPS teams confirm no further use of
this API.

------------------------------------------------------------------------------]]

local KSLogging = require 'KSLogging'
local WFAsyncTestCase = require 'WFAsyncTestCase'

local deprecatedReactiveLog = KSLogging.log 'KSReactiveTestCase'

return function( ... )

	deprecatedReactiveLog:error( "Deprecated API KSReactiveTestCase called via %s\n\nPlease use WFAsyncTestCase instead\n\n",
								 ':traceback:' )

	return WFAsyncTestCase( ... )

end
