--[[----------------------------------------------------------------------------

WFOzSyncConstants.lua

11/26/2012
arahn

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2012 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

local WFOzSyncConstants = {}

--------------------------------------------------------------------------------

function WFOzSyncConstants.isNotUploaded( uploadStatus )
	return not not ( {
		notUploaded = true,
		notUploaded_metadataOnly = true,
	} )[ uploadStatus ]
end

WFOzSyncConstants.uploadOrderForDocType = {
		album = 1,
		space = 2,
		asset = 3,
		album_asset = 4,
		space_album = 5,
		default_order = 9999,
		asset_preview_pixels = 10000,
		asset_full_pixels = 10001,
	}

WFOzSyncConstants.kGlobalSpace = 0

--==============================================================================

return WFOzSyncConstants
